id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ID3_FrameImpl Class Reference

`#include <frame_impl.h>`

## Public Types
typedef Fields::iterator | iterator
typedef Fields::const_iterator | const_iterator

## Public Member Functions
| ID3_FrameImpl (ID3_FrameID id=ID3FID_NOFRAME)
| ID3_FrameImpl (const ID3_FrameHeader &)
| ID3_FrameImpl (const ID3_Frame &)
virtual | ~ID3_FrameImpl ()
| Destructor. More...
void | Clear ()
bool | SetID (ID3_FrameID id)
ID3_FrameID | GetID () const
ID3_Field * | GetField (ID3_FieldID name) const
size_t | NumFields () const
const char * | GetDescription () const
const char * | GetTextID () const
ID3_FrameImpl & | operator= (const ID3_Frame &)
bool | HasChanged () const
bool | Parse (ID3_Reader &)
void | Render (ID3_Writer &) const
size_t | Size ()
bool | Contains (ID3_FieldID fld) const
bool | SetSpec (ID3_V2Spec)
ID3_V2Spec | GetSpec () const
bool | SetCompression (bool b)
| Sets the compression flag within the frame. More...
bool | GetCompression () const
| Returns whether or not the compression flag is set. More...
size_t | GetDataSize () const
bool | SetEncryptionID (uchar id)
uchar | GetEncryptionID () const
bool | SetGroupingID (uchar id)
uchar | GetGroupingID () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Static Public Member Functions
static const char * | GetDescription (ID3_FrameID)

## Protected Member Functions
bool | _SetID (ID3_FrameID)
bool | _ClearFields ()
void | _InitFields ()
void | _InitFieldBits ()
void | _UpdateFieldDeps ()

## Detailed Description

Definition at line 41 of file frame_impl.h.

## Member Typedef Documentation

typedef Fields::const_iterator ID3_FrameImpl::const_iterator

Definition at line 47 of file frame_impl.h.

typedef Fields::iterator ID3_FrameImpl::iterator

Definition at line 46 of file frame_impl.h.

## Constructor & Destructor Documentation

ID3_FrameImpl::ID3_FrameImpl | ( | ID3_FrameID | id = `ID3FID_NOFRAME` | ) |

Definition at line 38 of file frame_impl.cpp.

ID3_FrameImpl::ID3_FrameImpl | ( | const ID3_FrameHeader & | hdr | ) |

Definition at line 49 of file frame_impl.cpp.

ID3_FrameImpl::ID3_FrameImpl | ( | const ID3_Frame & | frame | ) |

Definition at line 60 of file frame_impl.cpp.

ID3_FrameImpl::~ID3_FrameImpl | ( |  | ) |
| virtual

Destructor.

Definition at line 70 of file frame_impl.cpp.

## Member Function Documentation

bool ID3_FrameImpl::_ClearFields | ( |  | ) |
| protected

Definition at line 75 of file frame_impl.cpp.

void ID3_FrameImpl::_InitFieldBits | ( |  | ) |
| protected

void ID3_FrameImpl::_InitFields | ( |  | ) |
| protected

Definition at line 97 of file frame_impl.cpp.

bool ID3_FrameImpl::_SetID | ( | ID3_FrameID | id | ) |
| protected

Definition at line 132 of file frame_impl.cpp.

void ID3_FrameImpl::_UpdateFieldDeps | ( |  | ) |
| protected

iterator ID3_FrameImpl::begin | ( |  | ) |
| inline

Definition at line 116 of file frame_impl.h.

const_iterator ID3_FrameImpl::begin | ( |  | ) | const
| inline

Definition at line 118 of file frame_impl.h.

void ID3_FrameImpl::Clear | ( |  | ) |

Definition at line 89 of file frame_impl.cpp.

bool ID3_FrameImpl::Contains | ( | ID3_FieldID | fld | ) | const
| inline

Definition at line 75 of file frame_impl.h.

iterator ID3_FrameImpl::end | ( |  | ) |
| inline

Definition at line 117 of file frame_impl.h.

const_iterator ID3_FrameImpl::end | ( |  | ) | const
| inline

Definition at line 119 of file frame_impl.h.

bool ID3_FrameImpl::GetCompression | ( |  | ) | const
| inline

Returns whether or not the compression flag is set.

After parsing a tag, this will indicate whether or not the frame was compressed. After rendering a tag, however, it does not actually indicate if the frame is compressed rendering. It only indicates whether or not compression was attempted. A frame will not be compressed, even whent the compression flag is set, if the "compressed" data is no smaller than the "uncompressed" data.

Definition at line 94 of file frame_impl.h.

size_t ID3_FrameImpl::GetDataSize | ( |  | ) | const
| inline

Definition at line 95 of file frame_impl.h.

const char * ID3_FrameImpl::GetDescription | ( |  | ) | const

Definition at line 258 of file frame_impl.cpp.

const char * ID3_FrameImpl::GetDescription | ( | ID3_FrameID | id | ) |
| static

Definition at line 248 of file frame_impl.cpp.

uchar ID3_FrameImpl::GetEncryptionID | ( |  | ) | const
| inline

Definition at line 105 of file frame_impl.h.

ID3_Field * ID3_FrameImpl::GetField | ( | ID3_FieldID | name | ) | const

Definition at line 150 of file frame_impl.cpp.

uchar ID3_FrameImpl::GetGroupingID | ( |  | ) | const
| inline

Definition at line 114 of file frame_impl.h.

ID3_FrameID ID3_FrameImpl::GetID | ( |  | ) | const
| inline

Definition at line 59 of file frame_impl.h.

ID3_V2Spec ID3_FrameImpl::GetSpec | ( |  | ) | const

Definition at line 145 of file frame_impl.cpp.

const char* ID3_FrameImpl::GetTextID | ( |  | ) | const
| inline

Definition at line 68 of file frame_impl.h.

bool ID3_FrameImpl::HasChanged | ( |  | ) | const

Definition at line 207 of file frame_impl.cpp.

size_t ID3_FrameImpl::NumFields | ( |  | ) | const

Definition at line 167 of file frame_impl.cpp.

ID3_FrameImpl & ID3_FrameImpl::operator= | ( | const ID3_Frame & | rFrame | ) |

Definition at line 223 of file frame_impl.cpp.

bool ID3_FrameImpl::Parse | ( | ID3_Reader & | reader | ) |

Definition at line 109 of file frame_parse.cpp.

void ID3_FrameImpl::Render | ( | ID3_Writer & | writer | ) | const

Definition at line 71 of file frame_render.cpp.

bool ID3_FrameImpl::SetCompression | ( | bool | b | ) |
| inline

Sets the compression flag within the frame.

When the compression flag is is set, compression will be attempted. However, the frame might not actually be compressed after it is rendered if the "compressed" data is no smaller than the "uncompressed" data.

Definition at line 85 of file frame_impl.h.

bool ID3_FrameImpl::SetEncryptionID | ( | uchar | id | ) |
| inline

Definition at line 97 of file frame_impl.h.

bool ID3_FrameImpl::SetGroupingID | ( | uchar | id | ) |
| inline

Definition at line 106 of file frame_impl.h.

bool ID3_FrameImpl::SetID | ( | ID3_FrameID | id | ) |

Definition at line 121 of file frame_impl.cpp.

bool ID3_FrameImpl::SetSpec | ( | ID3_V2Spec | spec | ) |

Definition at line 140 of file frame_impl.cpp.

size_t ID3_FrameImpl::Size | ( |  | ) |

Definition at line 172 of file frame_impl.cpp.

The documentation for this class was generated from the following files:

- src/frame_impl.h
- src/frame_impl.cpp
- src/frame_parse.cpp
- src/frame_render.cpp